const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const variant_options = sequelize.define(
    'variant_options',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

option_name: {
        type: DataTypes.TEXT,
      
      

      },

option_value: {
        type: DataTypes.TEXT,
      
      

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  variant_options.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity






























//end loop



    db.variant_options.belongsTo(db.product_variants, {
      as: 'product_variant',
      foreignKey: {
        name: 'product_variantId',
      },
      constraints: false,
    });




    db.variant_options.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.variant_options.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return variant_options;
};


